PARTX(8)

NAME
partx - telling the kernel about presence and numbering of on-disk partitions.

SYNOPSIS
partx [-a|-d|-l] [--type TYPE] [--nr M-N] [partition] disk

DESCRIPTION
Given a block device ( disk ) and a partition table type , try to parse the partition table, and list the contents. Optionally add or remove partitions. This is not an fdisk - adding and removing partitions is not a change of the disk, but just telling the kernel about presence and numbering of on-disk partitions.

OPTIONS

-a  add specified partitions or read disk and add all partitions

-d  delete specified or all partitions

-l  list partitions. Note that the all numbers are in 512-byte sectors.

--type TYPE
    Specify the partition type -- dos, bsd, solaris, unixware or gpt.

--nr M-N
    Specify the range of partitions (e.g --nr 2-4).

SEE ALSO
addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

AVAILABILITY
The partx command is part of the util-linux-ng package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.